package ink.wgink.gateway.pojo;

import org.springframework.data.annotation.Id;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: BasePO
 * @Description:
 * @Author: wanggeng
 * @Date: 2021/4/13 5:56 下午
 * @Version: 1.0
 */
public class BasePOJO {

    @Id
    private String uuid;
    private String gmtCreate;
    private String creator;
    private String gmtModified;
    private String modifier;

    public String getUuid() {
        return uuid == null ? "" : uuid.trim();
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
}
